> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reelevant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post contentsresourcesupload

> Upload provided resource
and return an unique identifier to retrieve it
with the .get() method



## OpenAPI

````yaml https://openapi.production.reelevant.io/v1/render/contents-api post /contents/resources/upload
openapi: 3.0.0
info:
  title: contents-api
  version: f9a1b334ed88c96ed84665c78dcdba64fc9f2b14
  description: |-
    # Errors
    | Error code | Message | HTTP status code | Payload |
    | :--- | :--- | :--- | :--- |
    | number | string | 404 |  |
servers:
  - url: https://api.reelevant.com/v2/
    description: production
security: []
paths:
  /contents/resources/upload:
    post:
      tags:
        - ContentResource
      description: |-
        Upload provided resource
        and return an unique identifier to retrieve it
        with the .get() method
      operationId: upload-content-resource
      parameters: []
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/AnyValue'
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                allOf:
                  - type: object
                    properties:
                      status:
                        type: string
                        enum:
                          - success
                    required:
                      - status
                    additionalProperties: false
                  - $ref: >-
                      #/components/schemas/InternalResponse_location_string_size_number
      security:
        - password_auth: []
components:
  schemas:
    AnyValue:
      description: Can be any value
      nullable: true
    InternalResponse_location_string_size_number:
      type: object
      properties:
        program:
          type: string
        version:
          type: string
        datetime:
          type: string
        status:
          type: string
        code:
          type: number
        message:
          type: string
        data:
          type: object
          properties:
            location:
              type: string
            size:
              type: number
          required:
            - location
            - size
          additionalProperties: false
      required:
        - program
        - version
        - datetime
        - status
        - message
        - data
      additionalProperties: false
  securitySchemes:
    password_auth:
      type: oauth2
      flows:
        password:
          tokenUrl: https://api.reelevant.com/v1/auth/token
          refreshUrl: https://api.reelevant.com/v1/auth/token
          scopes: {}

````